/// OPTIMİZASYON
//  bir boyutlu lineer olmıyan fonksiyonlar
//  brent metodu 
//  
import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

//============= Tanımı gereken fonksiyon ================
class fb extends f_x
{
   public double func (double x)
   { return -(2.0*Math.sin(x)-x*x/10.0);}
   //- değeri maksimumunu elde etmek için verilmiştir
}
//===========================================================

public class OPO11
{

     public static void main (String args[])  
     {  
	 String s="bir veya üç adet maksimum arama sınır tahmin değerini arada bir boşluk bırakarak giriniz: ";
     double [] x0=opt.verigir(s);
     fb f=new fb();
     double r1[];
     if(x0.length==3)      {r1= opt.mnbrak(f,x0[0],x0[1],x0[2]);}
     else if(x0.length==1) {r1= opt.mnbrak(f,x0[0]);}
     else{System.out.println("Yanlış maksimum raama sınır tahmin değeri verdiniz, ilk değer üzerinden hesap yapılacaktır");
                r1= opt.mnbrak(f,x0[0]);}
     s=" yeni kök tahmin değerleri  : \n"+Matrix.toString(r1);
     //fonksiyonun gerçek değerini elde etmek için -1 ile çarpılmıştır
     String s2="bir boyutta içinde optimum olan bölgeyi sağlama :";
     JOptionPane.showMessageDialog(null,s,s2,JOptionPane.PLAIN_MESSAGE);
     } 
}